close all
clear all
clc

%% Sample-Frequenz Deklaration
fa = 500;
Ta = 1/fa;
Tt = 3;
T0 = 10;
N  = T0/Ta;

%% Defitionen im Zeitbereich
StopTime = T0-Ta;
t = 0:Ta:StopTime;

y = heaviside(t) - heaviside(t-Tt);

figure
plot(t,y,'LineWidth',2);

%% FFT

Y = fft(y);

figure
stem(abs(Y), 'xr', 'LineWidth', 2);
xlabel('Index n');
ylabel('abs(FFT)');


%% FFT-Shift
Z = fftshift(Y);
f = linspace(-fa/2, fa/2, length(y));

figure
stem(f, abs(Z)*Ta/T0, 'xr', 'LineWidth', 2);
xlabel('Frequenz f');
ylabel('abs(FFT)');

%% Rücktransformation
y_rueck = ifft(Y);
figure
plot(t,y_rueck,'LineWidth',2);

% Rücktransormation des fft-geschifteten Signlas (Falsch!)
figure
plot(t,ifft(Z),'LineWidth',2);

